summaryrefslogtreecommitdiffstats
path: root/graphics/lilypond/lilypond.SlackBuild
diff options
context:
space:
mode:
author Kyle Guinn2010-05-13 00:28:04 +0200
committer Robby Workman2010-05-13 00:28:04 +0200
commit19a61b0824e841a52051e08eb71e3e3a83d3e536 (patch)
tree0b2c2b1f1a56967583d23d06668b0db6f724a04a /graphics/lilypond/lilypond.SlackBuild
parent6313a99db01825bebb99525565ac6fae5e3b12e4 (diff)
downloadslackbuilds-19a61b0824e841a52051e08eb71e3e3a83d3e536.tar.gz
graphics/lilypond: Updated for version 2.12.2
Diffstat (limited to 'graphics/lilypond/lilypond.SlackBuild')
-rw-r--r--graphics/lilypond/lilypond.SlackBuild29
1 files changed, 15 insertions, 14 deletions
diff --git a/graphics/lilypond/lilypond.SlackBuild b/graphics/lilypond/lilypond.SlackBuild
index a2efd33fa7..6f02ce859c 100644
--- a/graphics/lilypond/lilypond.SlackBuild
+++ b/graphics/lilypond/lilypond.SlackBuild
@@ -6,26 +6,32 @@
set -e
PRGNAM=lilypond
-VERSION=2.10.33
+VERSION=2.12.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -34,6 +40,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -44,25 +51,19 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-# The info pages are placed in $PKG/usr/info/lilypond instead of $PKG/usr/info
-# as specified above...
-mv $PKG/usr/info/lilypond/* $PKG/usr/info
-rm -rf $PKG/usr/info/lilypond
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*.info*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS.txt COPYING ChangeLog DEDICATION HACKING INSTALL.txt NEWS.txt \
+cp -a AUTHORS.txt COPYING DEDICATION HACKING INSTALL.txt NEWS.txt \
README.txt ROADMAP THANKS VERSION $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -70,4 +71,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}